#!/bin/bash
# Para mover las llamadas grabadas en una unidad RAM
# Revisa el contenido de esa unidad y lo pasa a un disco duro
# tenemos un directorio en esa unidad,
# con subdirectorios que se generan diariamente
## Variables con los directorios a utilizar
RAMDIR="/tmp/discoram"
ALMACEN="/mnt/servidor_almacen" #unidad remota, previamente montada, almacn definitivo
cd $RAMDIR
ls -1d */ > listado.borrable
while read dia #cada lnea un directorio diario, se extrae del archivo "listado_borrable"
do # aqu empieza la parte de mover archivos en s, solo los de sonido formato gsm
for i in $(ls -1 $RAMDIR/$dia/*.gsm) ; do
lsof  $i #comprueba los archivos abiertos para no moverlos todava
valor=$? #estado de salida, si es 0 el archivo est abierto
if [ $valor -ne 0 ] ; then
if [ -d $ALMACEN/$dia ] ; then
echo carpeta de grabaciones comprobada
else
mkdir $ALMACEN/$dia
#solo crea la carpeta si es necesario
fi
mv $i $ALMACEN/$dia
fi
done
rmdir $dia 2> /dev/null #si queda vaca la borramos
done < listado.borrable #aqui termina el while
